var glob = require( 'glob' );
var path = require( 'path' );

var RodcoModels = {}

RodcoModels.init = function(knexFile,env){
  if(RodcoModels.knex) return RodcoModels;

  RodcoModels.knex = require('knex')(knexFile[env]);
  var globPattern = __dirname  + '/models/**/*.js';

  glob.sync( globPattern ).forEach( function( file ) {
    var model;
    try{
      model = require( path.resolve( file ) );
    }catch(e){
      console.error(e);
      throw e;
    }
    file = file.split("/models/")[1];
    var parts = file.split("/");
    if( parts.length == 1) RodcoModels[parts[0].replace(".js","")] = model;
    else{
      if( !RodcoModels[parts[0]] ) RodcoModels[parts[0]] = {};
      RodcoModels[parts[0]][parts[1].replace(".js","")] = model;
    }
  });

  RodcoModels.knex.batchUpdate = function(table,records,updateFields){
    var sqls = [];
    records.forEach( function(record){
      var sql = knex.table(table).insert(record).toString();
      var addOn = [ ' ON CONFLICT (id) DO UPDATE SET'];
      updateFields.forEach( function(fieldName){
        var parts = [fieldName, "=", "EXCLUDED", ".", fieldName];
        if( addOn.length != 1 ) addOn.push(",");
        addOn.push( parts.join("") );
      })
      addOn.push('returning *;');
      sqls.push( sql + addOn.join(" ") );
    });
    return knex.raw( sqls.join(" ") )
  }

  return RodcoModels;
}

RodcoModels.setUser = function(user){
  RodcoModels.user = user;
}

RodcoModels.getUser = function(){
  return RodcoModels.user;
}



module.exports = RodcoModels;
