
exports.up = function(knex, Promise) {
return knex.schema.createTableIfNotExists('contact', function (table) {
    table.increments();
    table.string('first_name').notNullable();
    table.string('last_name').notNullable();
    table.string('email').nullable();
    table.string('mobile_phone').nullable();
    table.string('authorization_code').nullable().unique();
    table.jsonb('details');
    table.jsonb('ids');
    table.jsonb('updates');
    table.jsonb('ACL');
    table.string('profile');
    table.string('namespace_id').notNullable();
    table.timestamp('created_at').defaultTo(knex.fn.now());
    table.timestamp('updated_at').defaultTo(knex.fn.now());
    table.integer('updated_by').nullable();
    table.boolean("active").defaultTo(true);

    table.unique(['namespace_id', 'email']);
    table.unique(['namespace_id', 'mobile_phone']);
  })
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable("contact");
};
