
exports.up = function(knex, Promise) {
  return knex.schema.createTableIfNotExists('project_opportunity', function (table) {
    table.increments();
    table.string('name').notNullable();
    table.text('company');
    table.text('description');
    table.decimal('value',17,2).defaultTo(0);
    table.integer('probability').defaultTo(0);
    table.integer('score').defaultTo(0);
    table.string('address');
    table.string('size');
    table.string('type').notNullable();
    table.string('strategy');
    table.string('email');
    table.string('mobile_phone');
    table.string('stage').defaultTo("NEW");
    table.json('stage_history');
    table.date('last_follow_up');
    table.json('photos');
    table.json('updates');
    table.string('namespace_id').notNullable();
    table.timestamp('created_at').defaultTo(knex.fn.now());
    table.timestamp('updated_at').defaultTo(knex.fn.now());
    table.integer('updated_by').notNullable();
    table.boolean("active").defaultTo(true);
  })
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable("project_opportunity");
};
