
exports.up = function(knex, Promise) {
return knex.schema.createTableIfNotExists('project_activity', function (table) {
    table.increments();
    table.string('title').nullable(); //email,meeting,
    table.string('type').notNullable(); //email, meeting, sample, visit
    table.datetime('datetime').defaultTo(knex.fn.now());
    table.text('description').notNullable();
    table.boolean("is_complete").defaultTo(false);
    table.string('namespace_id').notNullable();
    table.integer('project_opportunity_id').unsigned().notNullable();
    table.foreign('project_opportunity_id').references('project_opportunity.id');
    table.integer('contact_id').unsigned().nullable();
    table.foreign('contact_id').references('contact.id');
    table.json('updates');
    table.timestamp('created_at').defaultTo(knex.fn.now());
    table.timestamp('updated_at').defaultTo(knex.fn.now());
    table.integer('updated_by').notNullable();
    table.boolean("active").defaultTo(true);
  })
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable("project_activity");
};
