
exports.up = function(knex, Promise) {
return knex.schema.createTableIfNotExists('account', function (table) {
    table.increments();
    table.string('sfid').notNullable();
    table.string('name').notNullable();
    table.string('namespace_id').notNullable();
    table.timestamp('created_at').defaultTo(knex.fn.now());
    table.timestamp('updated_at').defaultTo(knex.fn.now());
    table.integer('updated_by').nullable();
    table.boolean("active").defaultTo(true);
    table.unique(['namespace_id', 'sfid']);
  })
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable("account");
};
