
exports.up = function(knex, Promise) {
return knex.schema.createTableIfNotExists('project_notification', function (table) {
    table.increments();
    table.string('message').nullable();
    table.date('date').defaultTo(knex.fn.now());
    table.string('namespace_id').notNullable();
    table.integer('project_opportunity_id').unsigned().notNullable();
    table.foreign('project_opportunity_id').references('project_opportunity.id');
    table.integer('user_id').unsigned().nullable();
    table.timestamp('created_at').defaultTo(knex.fn.now());
  })
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable("project_notification");
};
