
exports.up = function(knex, Promise) {
return knex.schema.createTableIfNotExists('catalog_product', function (table) {
    table.increments();
    table.string('name').notNullable();
    table.string('marca');
    table.string('category');
    table.jsonb('photos');
    table.jsonb('attributos');
    table.jsonb('bullets');
    table.jsonb('updates');
    table.string('namespace_id').notNullable();
    table.timestamp('created_at').defaultTo(knex.fn.now());
    table.timestamp('updated_at').defaultTo(knex.fn.now());
    table.integer('updated_by').nullable();
    table.boolean("active").defaultTo(true);
  })
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable("catalog_product");
};
