var moment = require("moment");
var RodcoModels = require("../");
var errors = require("throw.js");

function Model(){};
Model.table_name = "access_link";


Model.create = function(model){
  model.namespace_id = RodcoModels.user.namespace_id;
  return RodcoModels.knex.table(Model.table_name)
  .insert(model)
  .returning("*")
  .then(function(results){
    return results[0];
  })
}

Model.delete = function(id){
  return RodcoModels.knex.table(Model.table_name)
  .delete("*")
  .where({ id: id})
  .then( function(){
    return {};
  })
}

Model.one = function(id, throwErrorOn404){
  return RodcoModels.knex.table(Model.table_name)
  .select("*")
  .where({id: id})
  .then(function(results){
    if(!results || results.length == 0 && throwErrorOn404) throw new errors.NotFound();
    else if(!results || results.length == 0 && !throwErrorOn404) return null;
    return results[0];
  })
}

Model.all = function(id){
  return RodcoModels.knex.table(Model.table_name)
  .select("*")
  .where({namespace_id: RodcoModels.user.namespace_id})
}



module.exports= Model;
