var moment = require("moment");
var RodcoModels = require("../");
var errors = require("throw.js");

function Model(){};
Model.table_name = "account"

Model.createFromSalesforce = function(sfAccounts){
  var sfIdMap = {};
  var accounts = sfAccounts.map(function(sfAccount){
    console.log(sfAccount)
    var account = {
      sfid: sfAccount.Id,
      name: sfAccount.Name,
      updated_by: RodcoModels.user.id,
      namespace_id: RodcoModels.user.namespace_id
    }
    sfIdMap[account.sfid] = account;
    return account;
  })
  console.log(sfIdMap)
  return RodcoModels.knex.batchInsert(Model.table_name,accounts, 100)
  .returning(["id","sfid"])
  .then(function(results){
    return results.map(function(result){
      console.log(result);
      sfIdMap[result.sfid].id = result.id;
      return accounts;
    })
    return results;
  })
}

Model.deleteAll = function(id){
  return RodcoModels.knex.table(Model.table_name)
  .delete()
  .where({namespace_id: RodcoModels.user.namespace_id})
  .then( function(){
    return {};
  })
}

Model.all = function(){
  return RodcoModels.knex.table(Model.table_name)
  .select("*")
  .where({namespace_id: RodcoModels.user.namespace_id, active: true })
}

Model.allByIds = function(ids){
  return RodcoModels.knex.table(Model.table_name)
  .select("*")
  .where({namespace_id: RodcoModels.user.namespace_id, active: true })
  .whereIn("id",ids)
}

Model.one = function(id){
  return RodcoModels.knex.table(Model.table_name)
  .select("*")
  .where({namespace_id: RodcoModels.user.namespace_id, id: id })
  .then(function(results){
    if(!results || results.length == 0) throw new errors.NotFound();
    return results[0];
  })
}

module.exports= Model;
