var moment = require("moment");
var RodcoModels = require("../../");
var errors = require("throw.js");

function Model(){};
Model.table_name = "project_notification";

Model.create = function(model){
  var modelResult;
  model.namespace_id = RodcoModels.user.namespace_id;
  if(!model.user_id) model.user_id = RodcoModels.user.id;
  return RodcoModels.knex.table(Model.table_name)
  .insert(model)
  .returning("*")
  .then(function(results){
    modelResult = results[0];
    return RodcoModels.project.opportunity.touchUpdated_at({id: model.project_opportunity_id})
  })
  .then(function(results){
    return modelResult;
  })
}

Model.all = function(id){
  return RodcoModels.knex.table(Model.table_name)
  .select("*")
  .where({namespace_id: RodcoModels.user.namespace_id})
}

Model.delete = function(id){
  return RodcoModels.knex.table(Model.table_name)
  .delete("*")
  .where({namespace_id: RodcoModels.user.namespace_id, id: id})
  .then(function(){
    return {};
  })
}

Model.deleteBatch = function(ids){
  return RodcoModels.knex.table(Model.table_name)
  .delete("*")
  .where({namespace_id: RodcoModels.user.namespace_id})
  .whereIn("id",ids)
  .then(function(){
    return {};
  })
}

Model.byOpportunity = function(project_opportunity_id){
  return RodcoModels.knex.table(Model.table_name)
  .select("*")
  .where({namespace_id: RodcoModels.user.namespace_id, project_opportunity_id: project_opportunity_id})
}

Model.forToday = function(){
  console.log(RodcoModels.user.namespace_id)
  return RodcoModels.knex.table(Model.table_name)
  .innerJoin('project_opportunity', 'project_notification.project_opportunity_id', 'project_opportunity.id')
  .innerJoin('contact', 'project_notification.user_id', 'contact.id')
  .select("*")
  .where({"project_notification.namespace_id": RodcoModels.user.namespace_id, date: moment().format("YYYY-MM-DD") })
}

module.exports= Model;


