//During the test the env variable is set to test
var Helper = require("./helper");

//Require the dev-dependencies
var chai = require('chai');
var BbPromise = require("bluebird");
var should = chai.should();
var knexfile = require("../knexfile")
var RodcoModels = require("../");
var Model;

var identity;
var contact;

//Our parent block
describe('Identity', () => {

  before(function (done) {
    Helper.setupTest(true,knexfile)
    .then(function(resultContact){
      Model = RodcoModels.identity;
      contact = resultContact;
      done()
    })
  });

  after(function (done) {
    Helper.clear()
    .then(function(){
      done();
    })
  });

    it('it should create an identity', function(done){
      Model.create({contact_id: contact.id,provider: "email", hash:"_"})
      .then( function(identities){
        identity = identities[0];
        identity.id.should.not.equal(null);
        done();
      })
    });

    it('it should delete an identity', function(done){
      Model.deleteByContactIdAndProvider({contact_id: contact.id,provider: "email"})
      .then( function(){
        done();
      })
    });


});

