//During the test the env variable is set to test
var Helper = require("./helper");

//Require the dev-dependencies
var chai = require('chai');
var BbPromise = require("bluebird");
var should = chai.should();
var knexfile = require("../knexfile")
var RodcoModels = require("../");
var moment = require("moment");
var Model;
var contact;
var contactAction;

//Our parent block
describe('Marketing Contact Action', () => {

  before(function (done) {
    Helper.setupTest(true,knexfile)
    .then(function(resultContact){
      Model  = RodcoModels.marketing.contact_action;
      contact = resultContact;
      done();
    })
  });

  after(function (done) {
    Helper.clear()
    .then(function(){
      done();
    })
  });

  it('it should create an action', function(done){
    Model.create({contact_id: contact.id,name: "test", "type":"scheduled", date: moment()})
    .then( function(contactActionResult){
      contactAction = contactActionResult;
      contactAction.id.should.not.equal(null);
      done();
    })
  });

});
