//During the test the env variable is set to test
var Helper = require("./helper");

//Require the dev-dependencies
var chai = require('chai');
var BbPromise = require("bluebird");
var should = chai.should();
var knexfile = require("../knexfile")
var RodcoModels = require("../");
var Model;
var product;

//Our parent block
describe('Product', () => {


  before(function (done) {
    Helper.setupTest(false,knexfile)
    .then(function(){
      Model  =RodcoModels.product;
      done();
    })
  });

  after(function (done) {
    Helper.clear()
    .then(function(){
      done();
    })
  });

  it('it should create a product', function(done){

    Model.create({name: "test",sfid: "a10djdkdjjj"})
    .then( function(productResult){
      product = productResult;
      product.id.should.not.equal(null);
      done();
    })
  });

  it('it should get one product', function(done){
    Model.one(product.id)
    .then( function(product){
      product.id.should.not.equal(null);
      done();
    })
  });

  it('it should update one product', function(done){
    product.name = "abc";
    Model.update(product)
    .then( function(product){
      product.name.should.equal("abc");
      done();
    })
  });


  it('it should get all product', function(done){
    Model.all()
    .then( function(products){
      products.length.should.equal(1);
      done();
    })
  });

  it('it should delete a producto', function(done){

    Model.delete(product.id)
    .then( function(products){
      return Model.all();
    })
    .then(function(res){
      res.length.should.equal(0);
      done();
    })
  });

});
