//During the test the env variable is set to test
var Helper = require("./helper");

//Require the dev-dependencies
var chai = require('chai');
var BbPromise = require("bluebird");
var should = chai.should();
var knexfile = require("../knexfile")
var RodcoModels = require("../");
var Model;
var Oopy;
var oppy;
var activity;

//Our parent block
describe('Project Oppy', () => {

  before(function (done) {
    Helper.setupTest(false,knexfile)
    .then(function(){
      Oppy  = RodcoModels.project.opportunity;
      Model  = RodcoModels.project.activity;
      return Oppy.create({name: "test",type: "test"})
    })
    .then(function(oppyResult){
      oppy = oppyResult;
      done();
    })
  });

  after(function (done) {
    Helper.clear()
        .then(function(){
          done();
        })
  });

    it('it should create an Oppy', function(done){

      Model.create({title: "test",type:"test",description: "test",project_opportunity_id: oppy.id})
      .then( function(activityResult){
        activity = activityResult;
        activity.id.should.not.equal(null);
        done();
      })
    });

    it('it should get one', function(done){
      Model.one(activity.id)
      .then( function(){
        done();
      })
    });


    it('it should update one', function(done){
      activity.type = "other type";
      Model.update(activity)
      .then( function(activityResult){
        activityResult.type.should.equal("other type");
        done();
      })
    });

    it('it should delete one', function(done){
      Model.delete(activity.id)
      .then( function(){
        done();
      })
    });


});
