//During the test the env variable is set to test
var Helper = require("./helper");

//Require the dev-dependencies
var chai = require('chai');
var BbPromise = require("bluebird");
var should = chai.should();
var knexfile = require("../knexfile")
var RodcoModels = require("../");
var Model;
var Oopy;
var oppy;
var buyer;
var contact;

//Our parent block
describe('Project Oppy', () => {

  before(function (done) {
    Helper.setupTest(true,knexfile)
    .then(function(resultContact){
      contact = resultContact;
      Oppy  = RodcoModels.project.opportunity;
      Model  = RodcoModels.project.buyer;
      return Oppy.create({name: "test",type: "test"})
    })
    .then(function(oppyResult){
      oppy = oppyResult;
      done();
    })
  });

  after(function (done) {
    Helper.clear()
        .then(function(){
          done();
        })
  });

    it('it should create an Oppy', function(done){

      Model.create({contact_id: contact.id,project_opportunity_id: oppy.id})
      .then( function(buyerResult){
        buyer = buyerResult;
        buyer.id.should.not.equal(null);
        done();
      })
    });

    it('it should get one', function(done){
      Model.one(buyer.id)
      .then( function(){
        done();
      })
    });

    it('it should update one', function(done){
      Model.update(buyer)
      .then( function(buyerResult){
        buyerResult.project_opportunity_id.should.equal(oppy.id);
        done();
      })
    });

    it('it should get one by oppy', function(done){
      Model.byOpportunity(oppy.id)
      .then( function(buyerResult){
        buyerResult.length.should.not.equal(0)
        done();
      })
    });

    it('it should delete one', function(done){
      Model.delete(buyer.id)
      .then( function(){
        done();
      })
    });


});
