//During the test the env variable is set to test
var Helper = require("./helper");

//Require the dev-dependencies
var chai = require('chai');
var BbPromise = require("bluebird");
var should = chai.should();
var knexfile = require("../knexfile")
var RodcoModels = require("../");
var moment = require("moment");
var Model;
var Oopy;
var oppy;
var contact;

//Our parent block
describe('Project Notification', () => {

  before(function (done) {
    Helper.setupTest(true,knexfile)
    .then(function(resultContact){
      contact = resultContact;
      Oppy  = RodcoModels.project.opportunity;
      Model  = RodcoModels.project.notification;
      return Oppy.create({name: "test",type: "test"})
    })
    .then(function(oppyResult){
      oppy = oppyResult;
      done();
    })
  });

  after(function (done) {
    Helper.clear()
    .then(function(){
      done();
    })
  });

    it('it should create a notification', function(done){

      Model.create({message:"test",date: moment(),project_opportunity_id: oppy.id, user_id: contact.id})
      .then( function(notificationResult){
        notification = notificationResult;
        notification.id.should.not.equal(null);
        done();
      })
    });

    it('it should get all', function(done){
      Model.all()
      .then( function(models){
        models.length.should.equal(1);
        done();
      })
    });

    it('it should get today', function(done){
      Model.forToday()
      .then( function(models){
        console.log(models)
        models.length.should.not.equal(0);
        done();
      })
    });

    it('it should get by ippy', function(done){
      Model.byOpportunity(oppy.id)
      .then( function(models){
        models.length.should.equal(1);
        done();
      })
    });

    it('it should delete one', function(done){
      Model.delete(notification.id)
      .then( function(){
        done();
      })
    });

    it('it should delete all', function(done){
      Model.deleteBatch([notification.id])
      .then( function(){
        done();
      })
    });


});
