//During the test the env variable is set to test
var Helper = require("./helper");

//Require the dev-dependencies
var chai = require('chai');
var BbPromise = require("bluebird");
var should = chai.should();
var knexfile = require("../knexfile")
var RodcoModels = require("../");
var Model;
var oppy;

//Our parent block
describe('Project Oppy', () => {

  before(function (done) {
    Helper.setupTest(false,knexfile)
    .then(function(){
      Model  = RodcoModels.project.opportunity;
      done();
    })
  });

  after(function (done) {
    Helper.clear()
        .then(function(){
          done();
        })
  });

    it('it should create an Oppy', function(done){

      Model.create({name: "test",type:"test"})
      .then( function(oppyResult){
        oppy = oppyResult;
        oppy.id.should.not.equal(null);
        done();
      })
    });

    it('it should get one', function(done){
      Model.one(oppy.id)
      .then( function(oppy){
        done();
      })
    });


    it('it should update one', function(done){
      oppy.type = "other type";
      Model.update(oppy)
      .then( function(oppyResult){
        oppyResult.type.should.equal("other type");
        done();
      })
    });

    it('it should delete one', function(done){
      Model.delete(oppy.id)
      .then( function(){
        done();
      })
    });


});
